package com.lzmispt.data.resource.service.resstructured;

package .tmp;

import com.lzmispt.core.service.file.FileOperationClient;
import com.lzmispt.data.center.entity.dto.querymodel.DCQueryModelDTO;
import com.lzmispt.data.center.entity.dto.resstructured.AiAnalysisDTO;
import com.lzmispt.data.center.entity.dto.resstructured.GetAIKeywordDTO;
import com.lzmispt.data.center.entity.dto.resstructured.GetHtmlContentDTO;
import com.lzmispt.data.center.entity.dto.resstructured.GetRecommendDTO;
import com.lzmispt.data.center.entity.dto.resstructured.MargeChapterDTO;
import com.lzmispt.data.center.entity.vo.DcChapterVO;
import com.lzmispt.data.center.entity.vo.DcOutlineVO;
import com.lzmispt.data.center.entity.vo.PageQueryResult;
import com.lzmispt.data.center.entity.vo.resstructured.GetRecommendVO;
import com.lzmispt.data.resource.entity.vo.resources.AIModelsVO;
import com.lzmispt.framework.entity.entity.ResultEntity;
import java.io.IOException;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public interface IResStructuredService {
  ResultEntity<DcChapterVO> saveOrUpdateChapter(DcChapterVO paramDcChapterVO, String paramString1, String paramString2) throws IOException;
  
  ResultEntity<PageQueryResult> getChapterList(DCQueryModelDTO paramDCQueryModelDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> deleteChapter(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<Boolean> deleteChapterByFileId(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<DcOutlineVO> saveOrUpdateOutline(DcOutlineVO paramDcOutlineVO, String paramString1, String paramString2) throws IOException;
  
  ResultEntity<List<DcOutlineVO>> getOutlineList(DCQueryModelDTO paramDCQueryModelDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> deleteOutlineBydId(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<Boolean> deleteOutlineByFileId(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<Boolean> deletePlanByFileId(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<Boolean> deleteOutlineByFileTableId(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<Boolean> deleteChapterByFileTableId(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<Boolean> deletePlanByFileTableId(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<Boolean> aiAnalysisAsynch(AiAnalysisDTO paramAiAnalysisDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> aiAnalysisSynch(AiAnalysisDTO paramAiAnalysisDTO);
  
  ResultEntity<Boolean> mergeChapterSynch(MargeChapterDTO paramMargeChapterDTO);
  
  ResultEntity<Boolean> mergeChapterAsynch(MargeChapterDTO paramMargeChapterDTO, String paramString1, String paramString2);
  
  ResultEntity<List<AIModelsVO>> getFileAIModels(AiAnalysisDTO paramAiAnalysisDTO, String paramString1, String paramString2);
  
  void getXmlToWordForAiAnalysis(HttpServletRequest paramHttpServletRequest, HttpServletResponse paramHttpServletResponse, String paramString1, Integer paramInteger, String paramString2);
  
  ResultEntity<DcOutlineVO> getOutline(DcOutlineVO paramDcOutlineVO, String paramString1, String paramString2);
  
  ResultEntity<List<DcOutlineVO>> getOutlineCondition(DCQueryModelDTO paramDCQueryModelDTO, String paramString1, String paramString2);
  
  ResultEntity<DcOutlineVO> getOutlineByFileId(DcOutlineVO paramDcOutlineVO, String paramString1, String paramString2);
  
  ResultEntity<GetRecommendVO> getRecommendChapter(GetRecommendDTO paramGetRecommendDTO, String paramString);
  
  ResultEntity<GetRecommendVO> recommendOutline(GetRecommendDTO paramGetRecommendDTO, String paramString);
  
  ResultEntity<Map> getHtmlContent(HttpServletRequest paramHttpServletRequest, HttpServletResponse paramHttpServletResponse, GetHtmlContentDTO paramGetHtmlContentDTO, String paramString, Integer paramInteger);
  
  ResultEntity<Integer> addReferenceCount(Long paramLong, Integer paramInteger1, Integer paramInteger2, String paramString1, String paramString2) throws IOException;
  
  ResultEntity<Boolean> delFileResStructuredData(FileOperationClient paramFileOperationClient, Long paramLong1, Long paramLong2, String paramString1, String paramString2);
  
  ResultEntity<Boolean> delFileTableResStructuredData(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<List> getAIKeyword(GetAIKeywordDTO paramGetAIKeywordDTO);
  
  ResultEntity<Boolean> syncPlanRecommendText(String paramString1, List<String> paramList, String paramString2, String paramString3);
  
  ResultEntity<Boolean> syncChapterRecommendText(String paramString1, List<String> paramList, String paramString2, String paramString3);
  
  ResultEntity<Boolean> syncOutlineRecommendText(String paramString1, List<String> paramList, String paramString2, String paramString3);
  
  ResultEntity<Boolean> syncAiTag(String paramString1, String paramString2, Integer paramInteger);
  
  ResultEntity<Boolean> syncSetCoreField(String paramString1, String paramString2, Integer paramInteger);
  
  ResultEntity<Boolean> saveFilePlan(AiAnalysisDTO paramAiAnalysisDTO);
  
  void saveFilePlanAsynch(AiAnalysisDTO paramAiAnalysisDTO, String paramString1, String paramString2);
}
